/*
 * Load Dojo and pre-requisites for use with WebViewer aka Diagrammer
 */

var dojoConfig = null;

if(djLocale == null) {
	djLocale = 'en'; //use default locale of english, similar to Repository.jsp
}

// force to lowercase or some locales won't work
djLocale = djLocale.toLowerCase();
djLocale = djLocale.replace('_','-');
	
var isLegacyIE = (navigator.userAgent.indexOf('MSIE') >= 0);
var portalContext = null;
if (bpm_endpoint_urls["process-portal-support.war"] != null &&  bpm_endpoint_urls["process-portal-support.war"] != "") {
	portalContext = bpm_endpoint_urls["process-portal-support.war"];
} else if (bpm_context_roots["process-portal-support.war"] != null && bpm_context_roots["process-portal-support.war"] != "") {
	portalContext = bpm_context_roots["process-portal-support.war"];
} else {
	portalContext = "/portal";
}

//we can set parseOnLoad to be false here since we are lazy loading the webviewer module
if (isLegacyIE && Silverlight.isInstalled()) {
    dojoConfig = { parseOnLoad: false, locale: djLocale, baseUrl: portalContext + '/js/dojo/1.6.1/dojo/',  modulePaths: { 'com': '../../../com' }, useGfxLayout: true,  gfxRenderer: 'silverlight, vml' };
}
else if (isLegacyIE) {
    dojoConfig = { parseOnLoad: false, locale: djLocale, baseUrl: portalContext + '/js/dojo/1.6.1/dojo/',  modulePaths: { 'com': '../../../com' }, useGfxLayout: true,  gfxRenderer: 'vml' };
}
else {
    dojoConfig = { parseOnLoad: false, locale: djLocale, baseUrl: portalContext + '/js/dojo/1.6.1/dojo/',  modulePaths: { 'com': '../../../com' }, useGfxLayout: true,  gfxRenderer: 'svg, silverlight, vml' };
}

var head = document.getElementsByTagName("head").item(0);

var djScript = document.createElement("script");
djScript.type = "text/javascript";
djScript.src= portalContext +  "/js/dojo/1.6.1/dojo/dojo.js";
head.appendChild(djScript);

var rdScript = document.createElement("script");
rdScript.type = "text/javascript";
rdScript.language="javascript";
if (bpm_endpoint_urls["webviewer.war"] != null &&  bpm_endpoint_urls["webviewer.war"] != "") {
	rdScript.src= bpm_endpoint_urls["webviewer.war"] + "/widgets/redirect.js";
} else if (bpm_context_roots["webviewer.war"] != null && bpm_context_roots["webviewer.war"] != "") {
	rdScript.src= bpm_context_roots["webviewer.war"] + "/widgets/redirect.js";
} else {
	rdScript.src= "/WebViewer/widgets/redirect.js";
}
head.appendChild(rdScript);
